> For the complete documentation index, see [llms.txt](https://docs.bbscoin.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbscoin.org/mining/xmr-stak/basic-configuration.md).

# Basic configuration

In the following configuration example, we will be setting xmr-stak to use just an AMD GPU.

Copy the following JSON settings into your text editor and save it as text file called: pools.txt, in to the xmr-stak folder where it contains the executable files.

```json
"pool_list" :
[
	{
		"pool_address" : "mine.bbscoin.click:PORT",
		"wallet_address" : "REPLACE_ME_WITH_YOUR_WALLET_ADDRESS_AND.DIFFICULTY",
		"rig_id" : "",
		"pool_password" : "x",
		"use_nicehash" : false,
		"use_tls" : false,
		"tls_fingerprint" : "",
		"pool_weight" : 1
	},
],
"currency" : "bbscoin",
```

Replace the PORT in "pool\_address" to match a your desired difficulty port from the [Mining](/mining.md) page. Should look like "mine.bbscoin.click:3336". Then, change the "wallet*address" to your walletAddress.difficulty | Making it look similar to this, but with your address and difficulty. If you will use multiple devices/rigs to mine, add a "rig\_*&#x69;d" to each configured, specialy if from same IP address.

`fyTpS7UgsfTJaGWxKoBcYNAie7ZXkia8UKarA8mAEnusGpM1JQPAzvFd6S8fpDR7WgEN9wTVL6vdBe3PjPmqafpm2PogvpQna.50000`

We will navigate to the xmr-stak folder, and run: `./xmr-stak --noCPU --noNVIDIA` . This tells it to not load those drivers, so only the AMD GPU drivers will be loaded.

xmr-stak: Use simple setup method? (Y/n) : `Y [ ENTER ]`&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bbscoin.org/mining/xmr-stak/basic-configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
